Questions and discussion about developing processes and programming in PHP, JavaScript, web services & REST API.

Moderators: ArturoRobles, ArturoRobles

Forum rules: Please search to see if a question has already asked before creating a new topic. Please don't post the same question in multiple forums.
User avatar
By ziadeh
#823066
I'm getting an error once I call : php -f sendnotificationscron.php

Processing workspace: workflow
* Resending Notifications.....................................[PROCESSING]
* |-- Send Apple Notifications................................PHP Warning: stream_socket_client(): SSL operation failed with code 1. OpenSSL Error messages:
error:14094415:SSL routines:ssl3_read_bytes:sslv3 alert certificate expired in /opt/processmaker/workflow/engine/src/ProcessMaker/BusinessModel/Light/PushMessageIOS.php on line 132
PHP Warning: stream_socket_client(): Failed to enable crypto in /opt/processmaker/workflow/engine/src/ProcessMaker/BusinessModel/Light/PushMessageIOS.php on line 132
PHP Warning: stream_socket_client(): unable to connect to ssl://gateway.push.apple.com:2195 (Unknown error) in /opt/processmaker/workflow/engine/src/ProcessMaker/BusinessModel/Light/PushMessageIOS.php on line 132
[WITH ERRORS]
'-**ID_FAILED**: 0

Finished 1 workspaces processed
Done!


I have Processmaker 3.2-community
Manual Installation
#823176
Ziadeh,
Sorry that I didn't answer earlier. It took me a while to investigate this. The problem is that the certificate in PM 3.2.1 has an expiration date, but the certificate used in recent versions of PM doesn't have an expiration date.

Here is what I see on my server:
$ openssl x509 -checkend 86400 -noout -in /opt/pm3.2.1/workflow/engine/config/mobileios.pem
Certificate will expire
$ openssl x509 -checkend 86400 -noout -in /opt/pm3.3.4e/workflow/engine/config/mobileios.pem
Certificate will not expire

If you replace your workflow/engine/config/mobileios.pem file with the attached file from version 3.3.4, does it now work?
(4.43 KiB) Downloaded 74 times
By thcat2
#828288
I use PM 3.4, IOS push does not work. Checked the latest mobileios.pem using the same openssl command line: the SSL Cert already expired.
Why ProcessMaker Community is not renewing mobileios.pem for a very long time ?
Unable to create workspace

I have the same issue. Any solution? Thanks alex[…]

Install in ubuntu

Dear All, In our dev environment we did an upgrad[…]

Get data from oracle database.

How to display all data in a table from oracle DB […]

Hello everyone, I have the same route case issue, […]